Subject: Re: [PATCH] PCI/MSI: api: Use bullet lists in kernel-doc comments

From: "Ahmed S. Darwish" <[email-masked]>
Date: Mon, 21 Nov 2022 14:27:58 +0100

On Mon, Nov 21, 2022 at 05:12:45PM +0700, Bagas Sanjaya wrote:
>   * @flags:    One or more of:
> - *            %PCI_IRQ_MSIX      Allow trying MSI-X vector allocations
> - *            %PCI_IRQ_MSI       Allow trying MSI vector allocations
> - *            %PCI_IRQ_LEGACY    Allow trying legacy INTx interrupts, if
> - *                               and only if @min_vecs == 1
> - *            %PCI_IRQ_AFFINITY  Auto-manage IRQs affinity by spreading
> - *                               the vectors around available CPUs
> + *
> + *            * %PCI_IRQ_MSIX - Allow trying MSI-X vector allocations
> + *            * %PCI_IRQ_MSI - Allow trying MSI vector allocations
> + *
> + *            * %PCI_IRQ_LEGACY - Allow trying legacy INTx interrupts, if
> + *              and only if @min_vecs == 1
> + *
> + *            * %PCI_IRQ_AFFINITY - Auto-manage IRQs affinity by spreading
> + *              the vectors around available CPUs
...
> - *       meanings, depending on interrupt mode
> - *         MSI-X        the index in the MSI-X vector table
> - *         MSI          the index of the enabled MSI vectors
> - *         INTx         must be 0
> + *       meanings, depending on interrupt mode:
> + *
> + *         * MSI-X - the index in the MSI-X vector table
> + *         * MSI - the index of the enabled MSI vectors
> + *         * INTx - must be 0

Sorry for the trouble.

While at it, can we please keep the alignment in the original patch?
This is supposed to be pretty too for people who look at the C code
(most of the actual readers).

That is:

 + *
 + *            * %PCI_IRQ_MSIX     -  Allow trying MSI-X vector allocations
 + *            * %PCI_IRQ_MSI      -  Allow trying MSI vector allocations
 + *            * %PCI_IRQ_LEGACY   -  Allow trying legacy INTx interrupts, if
 + *              and only if @min_vecs == 1
 + *            * %PCI_IRQ_AFFINITY - Auto-manage IRQs affinity by spreading
 + *              the vectors around available CPUs

and:

> + *       meanings, depending on interrupt mode:
> + *
> + *         * MSI-X - the index in the MSI-X vector table
> + *         * MSI   - the index of the enabled MSI vectors
> + *         * INTx  - must be 0

Thanks,

--
Ahmed S. Darwish
Linutronix GmbH